---
names:
  full: Azure Diagnostic Setting for Azure Key Vault is not enabled
  contextual: Diagnostic Setting for Azure Key Vault is not enabled
description: Enable AuditEvent logging for key vault instances to ensure interactions
  with key vaults are logged and available.
impossible: true
type: COMPLIANCE_POLICY
categories:
  - SECURITY
frameworkMappings:
  - "/frameworks/cis-azure-v5.0.0/06/01/01/04"
  - "/frameworks/cloudaware/logging-and-monitoring/logging-and-monitoring-configuration"
similarPolicies:
  internal:
    - dec-x-b2ce0ca1
  cloudConformity:
    - url: https://www.trendmicro.com/cloudoneconformity/knowledge-base/azure/KeyVault/enable-audit-event-logging-for-azure-key-vaults.html
      name: Enable AuditEvent Logging for Azure Key Vaults
